const express = require("express");
const router = express.Router();
const locaisController = require("../controllers/locaisController");

// Route for getting all locais
router.get("/locais", locaisController.getAllLocais);

// Route for getting a specific user by ID
router.get("/locais/:id", locaisController.getLocalById);

// Route for creating a new user
router.post("/locais", locaisController.createLocal);

// Route for updating a user by ID
router.put("/locais/:id", locaisController.updateLocal);

// Route for deleting a user by ID
router.delete("/locais/:id", locaisController.deleteLocal);

module.exports = router;
